%define upstream_name    DateTime-Event-Recurrence
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    DateTime::Set extension for create basic recurrence sets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.270.0
BuildRequires: perl(DateTime::Set) >= 0.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides convenience methods that let you easily create
'DateTime::Set' objects for various recurrences, such as "once a month" or
"every day". You can also create more complicated recurrences, such as
"every Monday, Wednesday and Thursday at 10:00 AM and 2:00 PM".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CREDITS Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1025075
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 shlomif <shlomif> 0.180.0-1.mga6
+ Revision: 925099
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 739348
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 684269
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 510745
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 365560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 37038
- mageia rebuild
- imported package perl-DateTime-Event-Recurrence


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 542955
- import perl-DateTime-Event-Recurrence


* Thu May 06 2010 cpan2dist 0.16-1mdv
- initial mdv release, generated with cpan2dist
